#! /bin/sh
### Convert an XML file to an obscured one in which (almost) all
### non-markup words have been replaced by x.  The intent is to be
### able to convert existing book manuscript XML files to test files
### for xmlfixup.
###
### Usage:
###	./obscure.sh < infile.xml >outfile.xml
###
### [02-Dec-2003]

sed \
	-e "s=^['A-Za-z_][-'A-Za-z_0-9]*=x=g" \
	-e "s=>['A-Za-z_][-'A-Za-z_0-9]*=>x=g" \
	-e "s= ['A-Za-z_][-'A-Za-z_0-9]*= x=g" \
 	-e "s=^/[/'A-Za-z_][-/'A-Za-z_0-9]*=/x=g" \
	-e "s= /[/'A-Za-z_][-/'A-Za-z_0-9]*= /x=g" \
	-e "s=^[0-9][0-9]*=9=g" \
	-e "s=>[0-9][0-9]*=>9=g" \
	-e "s= [0-9][0-9]*= 9=g" 
